FROM alpine:latest

ADD entrypoint /entrypoint
RUN chmod +x ./entrypoint

RUN apk update && apk add npm

ADD micro-service-api /server

RUN mv /server/start-accountingwep.sh /
RUN mv /server/start-login.sh /
RUN mv /server/start-ttc.sh /

RUN chmod +x /start-accountingwep.sh
RUN chmod +x /start-login.sh
RUN chmod +x /start-ttc.sh

RUN cd /server && npm install

ENTRYPOINT ["/entrypoint"]
